import mods.metatweaker.Factory;

var Construction = Factory.createBlock("Construction", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Thaumcraft Items")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .addSubtype("Construction_1", "metatweaker:thaumcraft/construction/thaum_construction")
    .addSubtype("Construction_2", "metatweaker:thaumcraft/construction/essense_thaum_construction")
    .addSubtype("Construction_3", "metatweaker:thaumcraft/construction/kinetic_construction")
    .addSubtype("Construction_4", "metatweaker:thaumcraft/construction/ichor_construction")
    .addSubtype("Construction_5", "metatweaker:thaumcraft/construction/awakened_ichor_construction")
    .addSubtype("Construction_6", "metatweaker:thaumcraft/construction/akashik_construction")
    .register();

var Astroblock = Factory.createBlock("Astroblock", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Thaumcraft Items")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .addSubtype("Astroblock_1", "metatweaker:thaumcraft/astroblock/elven_ichor_block")
    .addSubtype("Astroblock_2", "metatweaker:thaumcraft/astroblock/psionic_ichor_block")
    .addSubtype("Astroblock_3", "metatweaker:thaumcraft/astroblock/terraflore_ichor_block")
    .addSubtype("Astroblock_4", "metatweaker:thaumcraft/astroblock/cryonic_ichor_block")
    .addSubtype("Astroblock_5", "metatweaker:thaumcraft/astroblock/manastorm_ichor_block")
    .addSubtype("Astroblock_6", "metatweaker:thaumcraft/astroblock/mercurean_ichor_block")
    .addSubtype("Astroblock_7", "metatweaker:thaumcraft/astroblock/eternal_ichor_block")
    .register();






